cURL
curl --request POST \
--url https://api.sellburst.io/v1/orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "user@example.com",
"gateway": "stripe",
"cart": [
{
"quantity": 1,
"productId": 1,
"variant": "Default"
}
],
"subgateway": "coinremitter_bitcoin",
"allow_private": true,
"notification_url": "https://example.com/notification"
}
'import requests
url = "https://api.sellburst.io/v1/orders"
payload = {
"email": "user@example.com",
"gateway": "stripe",
"cart": [
{
"quantity": 1,
"productId": 1,
"variant": "Default"
}
],
"subgateway": "coinremitter_bitcoin",
"allow_private": True,
"notification_url": "https://example.com/notification"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'user@example.com',
gateway: 'stripe',
cart: [{quantity: 1, productId: 1, variant: 'Default'}],
subgateway: 'coinremitter_bitcoin',
allow_private: true,
notification_url: 'https://example.com/notification'
})
};
fetch('https://api.sellburst.io/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "6e9ce865-b27d-4ded-9883-0389ea114ca9",
"status": "pending",
"url": "https://example.com/6e9ce865-b27d-4ded-9883-0389ea114ca9",
"tracking_id": "mp_18297389123"
}This response has no body data.Orders
Create Order
Create an order
POST
/
orders
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Store Name you want to select
Body
application/json
JSON object to create an order
Example:
"user@example.com"
Possible values: stripe, paypal, square, hoodpay, mercado_pago, paypal_fnf, coinremitter, oxapay
Example:
"stripe"
Show child attributes
Show child attributes
Only available in coinremitter gateway, possible values: coinremitter_litecoin, coinremitter_bitcoin
Example:
"coinremitter_bitcoin"
Whether to allow private products in the cart
Example:
true
URL to receive notifications (must be https and POST method)
Example:
"https://example.com/notification"
⌘I